Package com.arms.api.analysis.scope.service

## Interface ScopeService

- All Known Implementing Classes:
    `ScopeServiceImpl`

      public interface ScopeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<CountByVersionNamesVO>` | `countByVersionNames​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<CircularPackingChartVO>` | `getCircularPackingChartData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<ReqDataTableIssuesVO>` | `getDataTableIssues​(ScopeDTO scopeDTO)` |
    `java.util.List<NetworkChartExcelDataVO>` | `getNetworkChartExcelData​(ScopeDTO scopeDTO)` |
    `java.util.List<TreeNodeVO>` | `getReqNetworkFilterData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkFullData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkIssueData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkVersionData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<ReqAddWithPropertyVO>` | `reqAddWithPropertyListPerVersion​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `java.util.List<TreeBarVO>` | `treeBarData​(ScopeDTO scopeDTO)` |

- - ### Method Detail

    - #### getReqNetworkFullData

          NetworkChartVO getReqNetworkFullData​(java.lang.String changeReqTableName,
                                               ScopeDTO scopeDTO)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkVersionData

          NetworkChartVO getReqNetworkVersionData​(java.lang.String changeReqTableName,
                                                  ScopeDTO scopeDTO)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkIssueData

          NetworkChartVO getReqNetworkIssueData​(java.lang.String changeReqTableName,
                                                ScopeDTO scopeDTO)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNetworkFilterData

          java.util.List<TreeNodeVO> getReqNetworkFilterData​(java.lang.String changeReqTableName,
                                                             ScopeDTO scopeDTO)
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### treeBarData

          java.util.List<TreeBarVO> treeBarData​(ScopeDTO scopeDTO)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCircularPackingChartData

          java.util.List<CircularPackingChartVO> getCircularPackingChartData​(java.lang.String changeReqTableName,
                                                                             ScopeDTO scopeDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### countByVersionNames

          java.util.List<CountByVersionNamesVO> countByVersionNames​(java.lang.String changeReqTableName,
                                                                    ScopeDTO scopeDTO)
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reqAddWithPropertyListPerVersion

          java.util.List<ReqAddWithPropertyVO> reqAddWithPropertyListPerVersion​(java.lang.String changeReqTableName,
                                                                                java.lang.Long pdServiceId,
                                                                                java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDataTableIssues

          java.util.List<ReqDataTableIssuesVO> getDataTableIssues​(ScopeDTO scopeDTO)
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNetworkChartExcelData

          java.util.List<NetworkChartExcelDataVO> getNetworkChartExcelData​(ScopeDTO scopeDTO)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`